package org.processmining.lpengines.factories;

import org.processmining.lpengines.implementations.LPConstraintImpl;
import org.processmining.lpengines.interfaces.LPConstraint;
import org.processmining.lpengines.interfaces.LPEngine.Operator;

public class LPConstraintFactory {

	public static LPConstraint createLPConstraint(double[] coefficients, Operator operator, double rhs) {
		return new LPConstraintImpl(coefficients, operator, rhs);
	}

	public static LPConstraint createLPConstraintGEQZero(double[] coefficients) {
		return new LPConstraintImpl(coefficients);
	}

	public static LPConstraint createLPConstraintRhsZero(double[] coefficients, Operator operator) {
		return new LPConstraintImpl(coefficients, operator);
	}

}
